<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="CMPJ_FreeMotion">
    <refnamediv>
        <refname>CMPJ_FreeMotion</refname>
        <refpurpose>CMPJ_FreeMotion Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../../images/gif/CMPJ_FreeMotion.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_CMPJ_FreeMotion">
        <title>Description</title>
        <para>
            Free motion joint (3 degrees-of-freedom, 6 states)
        </para>
    </refsection>
    <refsection id="Palette_CMPJ_FreeMotion">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Mechanics_Planar_pal">Mechanics_Planar - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../../images/gui/CMPJ_FreeMotion_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">initType [-] : Type of initial value for [r_rel_a,v_rel_a,a_rel_a,phi_rel,w_rel,z_rel] (0=guess,1=fixed)</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 6. </para>
                <para> Default value : [0,0,0,0,0,0]</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">r_rel_a_start [m] : Initial values of r_rel_a (vector from origin of frame_a to origin of frame_b resolved in frame_a)</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 2. </para>
                <para> Default value : [0,0]</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">v_rel_a_start [m/s] : Initial values of velocity v_rel_a = der(r_rel_a)</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 2. </para>
                <para> Default value : [0,0]</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">a_rel_a_start [m/s2] : Initial values of acceleration a_rel_a = der(v_rel_a)</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 2. </para>
                <para> Default value : [0,0]</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">phi_rel_start [rad] : Initial value of angle phi_rel to rotate frame_a into frame_b</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">w_rel_start [rad/s] : Initial value of angular velocity w_rel = der(phi_rel) of frame_b with respect to frame_a</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">z_rel_start [rad/s2] : Initial value of angular acceleration z_rel = der(w_rel) of frame_b with respect to frame_a</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_CMPJ_FreeMotion">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'frame_a'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Planar type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'frame_b'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Planar type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'initType'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> [0,0,0,0,0,0]
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'r_rel_a_start'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> [0,0]
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'v_rel_a_start'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> [0,0]
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'a_rel_a_start'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> [0,0]
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'phi_rel_start'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'w_rel_start'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'z_rel_start'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_CMPJ_FreeMotion">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>CMPJ_FreeMotion.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_CMPJ_FreeMotion">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Coselica.Mechanics.Planar.Joints.FreeMotion in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
